<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">

        <style type="text/css">
            table {
                border-width:1px; 
                border-style:solid; 
                border-color:black;
                border-collapse:collapse;
                }
                td { 
                border-width:1px;
                border-style:solid; 
                border-color:black;
            }
        </style> 

        <title>Geoprisma</title>

          
    </head>   
    <body>   
        <center>
            <br />
            <br />
            <h1>Welcome to the GeoPrisma requirements test page</h1>
            
            <br />

            <h2>php.ini settings and extensions needed for GeoPrisma</h2> 

            <p>If your PHP installation includes the following extensions and settings, you will be able to add your own local services<br />
               "Yes" or "OK" mean you are good to go.</p>

            <table>
              <tr>
                  <td>XSL</td>
                  <td><?php 
                        if (extension_loaded("xsl")) 
                            {echo "Yes";}  else {
                             echo "No; critical : GeoPrisma's templating language is XSLT !";}?>
                 </td>
              </tr>
              <tr>
                  <td>Curl</td>
                  <td><?php 
                        if (extension_loaded("curl")) 
                            {echo "Yes";}  else {
                             echo "No; this is needed for interacting with services like FeatureServer";}?>
                 </td>
              </tr>
              <tr>
                  <td>GetText</td>
                  <td><?php 
                        if (extension_loaded("gettext")) 
                            {echo "Yes";}  else {
                             echo "No; needed for i18n";}?>
                  </td>
              </tr>
              <tr>
                  <td>MBString</td>
                  <td><?php 
                        if (extension_loaded("mbstring")) 
                            {echo "Yes";}  else {
                             echo "No; needed for GetText";}?>
                 </td>
              </tr>
              <!--tr>
                  <td>Mapscript</td>
                  <td><?php 
                        if (extension_loaded("MapScript")) 
                            {echo "Yes";}  else {
                             echo "No; no need for that yet";}?>
                 </td>
              </tr-->
              <tr>
                  <td>PDO</td>
                  <td><?php 
                        if (extension_loaded("PDO")) 
                            {echo "Yes";}  else {
                             echo "No; needed if you configure a service relying on PostGIS";}?>
                 </td>
              </tr>
              <tr>
                  <td>PDO_PgSql</td>
                  <td><?php 
                        if (extension_loaded("pdo_pgsql")) 
                            {echo "Yes";}  else {
                             echo "No; needed if you configure a service relying on PostGIS";}?>
                 </td>
              </tr>
              </tr>
              <tr>
                  <td>PgSQL</td>
                  <td><?php 
                        if (extension_loaded("pgsql")) 
                            {echo "Yes";}  else {
                             echo "No; needed if you configure a service relying on PostGIS";}?>
                 </td>
              </tr>
              <tr>
                  <td>magic_quotes_gpc = Off</td>
                  <td><?php 
                        if (ini_get('magic_quotes_gpc')) 
                            {echo "Warning : magic_quotes_gpc is set to 'On';<br />That may interfere with the proper<br />functioning of GeoPrisma";}  else {
                             echo "OK; magic_quotes_gpc is set to\n'Off' or not set at all";}?>
                 </td>
              </tr>
              <tr>
                  <td>default_charset value</td>
                  <td><?php 
                        if (ini_get('default_charset')) 
                            {echo "default_charset = " . ini_get('default_charset') . "<br />If that value is different than that <br />of your data, unicode characters may <br />come out garbled e.g. in a GetFeatureInfo query";}  else {
                             echo "OK; no default_charset";}?>
                 </td>
              </tr>
                   
            </table> 
       
        </center>
    </body>
</html>
