<?php
/**
* Method utilitaire pour le hasard  
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-foundation  
* @author    Pascal Martin 
* @copyright Boral Informations Stratgiques Inc.
* @license   http://www.boreal-is.com/license Borealis License
* @link      http://www.boreal-is.com
*/
 
/**
* Method utilitaire pour le hasard  
* 
* @category   PHP 
* @package    Borealis-foundation
* @subpackage Util
* @author     Pascal Martin 
*/
class com_borealis_foundation_util_Random
{
    /**
    * Retourne un chaine de caractre alatoire
    * 
    * @param int $piLength Longeur de la chaine dsire
    * 
    * @return string
    */
    public static function getString($piLength = 20)
    {
        com_borealis_foundation_util_Assert::assertIsInteger($piLength);
        
        $strRandom = "";
        for ($iIter=0;$iIter<$piLength;++$iIter)
        {
            $strRandom .= mt_rand(0, 9);
        }
        return $strRandom;     
    }
}
  
?>
