<?php    
/**
* Lance les test norme de nomemclature, code sniffer   
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-test  
* @author    Pascal Martin 
* @copyright Boréal Informations Stratégiques Inc.
* @license   http://www.boreal-is.com/license Borealis License
* @link      http://www.boreal-is.com
*/

require_once dirname(__FILE__).'/../Setting.php';
require_once dirname(__FILE__).'/../SettingImpl.php';

if (strcmp('', trim($_REQUEST['testpath']))===0)
{
    die('Directory or file to test are empty');
}

header("Content-Type: text/plain");

set_include_path('.'.PATH_SEPARATOR.com_borealis_test_SettingImpl::getPearLib().PATH_SEPARATOR.com_borealis_test_SettingImpl::getPhpCodeSnifferLib());

$_SERVER['argv'] = array(
                        'phpcs',
                        '--standard=Borealis');

array_push($_SERVER['argv'], '--report='.$_REQUEST['display']);

if (strcmp('', $_REQUEST['file'])!==0)
{
    if (!is_dir(dirname($_REQUEST['file'])))
    {
        mkdir(dirname($_REQUEST['file']));
    }
    array_push($_SERVER['argv'], '--report-file='.$_REQUEST['file']);
}

array_push($_SERVER['argv'], $_REQUEST['testpath']);
$_SERVER['argc'] = count($_SERVER['argv']);

require_once 'scripts/phpcs';  
          
?>
