<?php   
/**
* Lance les test phpunit   
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-test  
* @author    Pascal Martin 
* @copyright Boréal Informations Stratégiques Inc.
* @license   http://www.boreal-is.com/license Borealis License
* @link      http://www.boreal-is.com
*/

require_once dirname(__FILE__).'/../Setting.php';
require_once dirname(__FILE__).'/../SettingImpl.php';
 
ob_start();
$_REQUEST['other'] = "";
if (isset($_SERVER['argv']) && count($_SERVER['argv']) === 4)
{
    $_REQUEST['include_path'] = $_SERVER['argv'][1];
    $_REQUEST['configuration'] = $_SERVER['argv'][2];
    $_REQUEST['bootstrap'] = $_SERVER['argv'][3];
}

if (strcmp('', trim($_REQUEST['configuration']))===0)
{
    die('Le fichier de configuration est manquand');
}

header("Content-Type: text/plain");

set_include_path('.'.PATH_SEPARATOR.com_borealis_test_SettingImpl::getPhpUnitLib().PATH_SEPARATOR.$_REQUEST['include_path']);

$_SERVER['argv'] = array(
                        'Command.php',
                        '--no-syntax-check');
if (strcmp('', $_REQUEST['bootstrap'])!==0)
{
    array_push($_SERVER['argv'], '--bootstrap', $_REQUEST['bootstrap']);
}
if (strcmp('', $_REQUEST['display'])!==0)
{
    array_push($_SERVER['argv'], '--'.$_REQUEST['display']);
}

array_push($_SERVER['argv'], '--configuration', $_REQUEST['configuration']);

require_once 'PHPUnit/TextUI/Command.php'; 
           
?>
