<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
    <head>
        <title>Sample Borealis-Security application</title>
        <script language="javascript">            
            var G_CONFIRM_DELETE_MEMBER = "{gettext key=confirm_delete_member javascript=true}";
            var G_ALERT_SELECT_MEMBER = "{gettext key=alert_select_member javascript=true}";        
        </script>
        <script language="javascript" src="smarty/templates/js/rolesuser.js"></script> 
    </head>
    <body>
        <fieldset>
            <legend>{gettext key=fieldset_add_members}</legend>
            <div id="error" style="color:red">{$errorAddUser}</div> 
            <form method="post">
                {gettext key=lbl_role}
                <select name="role">
                    {foreach from=$roles item=objRole}   
                        <option value="{$objRole->getName()}">{$objRole->getName()}</option>
                    {/foreach}                    
                </select><br/>
                {gettext key=lbl_member}
                <select name="username[]" multiple="multiple" size="5">
                    {foreach from=$users item=objUser}   
                        <option value="{$objUser->getUsername()}">{$objUser->getName()}</option>
                    {/foreach}                    
                </select><br/>            
                <br/>
                <input type="submit" value="{gettext key=btn_add_member}" />                 
                <input type="hidden" name="action" value="add_user"/>  
            </form>
        </fieldset>
        <fieldset>
            <legend>{gettext key=fieldset_list_of_members}</legend>
            <div id="error" style="color:green">{$infoMessage}</div>
            <form method="post" onsubmit="return confirmDeleteMember(this);" id="form_delete_member">
                <table border="1">
                    <tr>
                        <th>{gettext key=th_role}</th>
                        <th>{gettext key=th_members}</th>
                    </tr>                
                    {foreach from=$roles item=objRole}   
                        <tr>
                            <td valign="top" id="role_{$objRole->getID()}">{$objRole->getName()}</td>
                            <td>
                                <ul>
                                    {foreach from=$objRole->getMember() item=strMember}
                                        <li>
                                            {if count($users) > 0 && isset($users[$strMember]) }
                                                {assign var='strName' value=$users[$strMember]->getName()}                                            
                                            {else}
                                                {assign var='strName' value=$strMember}                                           
                                            {/if}                                                                             
                                            <input type="checkbox" name="role_user[]" value="{$objRole->getID()}_{$strMember}" id="{$objRole->getID()}_{$strMember}" />   
                                            <label for="{$objRole->getID()}_{$strMember}" id="user_{$objRole->getID()}_{$strMember}">{$strName}</label>
                                            - <a href="javascript:deleteMember('{$objRole->getName()}', '{$strMember}', '{$strName}');">{gettext key=a_delete_member}</a>
                                        </li>
                                    {foreachelse}
                                        &nbsp;
                                    {/foreach}              
                                </ul>
                                {if count($objRole->getMember()) > 0}                            
                                    <a href="javascript:selectAll('{$objRole->getID()}', true)">{gettext key=a_select_all}</a> 
                                    - <a href="javascript:selectAll('{$objRole->getID()}', false)">{gettext key=a_unselect_all}</a>                                                           
                                {/if}
                            </td>
                        </tr>
                    {/foreach}
                    <tr>
                        <td colspan="2" align="right">
                            <input type="hidden" name="action" value="delete_users"/> 
                            <input type="submit" value="{gettext key=btn_delete_selected_members}"/> 
                        </td>
                    </tr> 
                </table>
             </form>
        </fieldset>  
    </body>
</html>