<?php

$strCurrentDir = dirname(__FILE__);
require "$strCurrentDir/../../config.php";

// --------------------------------------
// Set include path
// --------------------------------------
set_include_path(".".PATH_SEPARATOR.$g_strGeoprismaCore.
                 PATH_SEPARATOR.$g_strBorealisFoundation);

// --------------------------------------
// Require class
// --------------------------------------
require_once 'com/borealis/Autoload.php';   

// --------------------------------------
// Configure library
// --------------------------------------
org_geoprisma_SettingImpl::setTemplateDir($g_strTemplateDir);
org_geoprisma_SettingImpl::setWidgetDir($g_strWidgetDir);
org_geoprisma_SettingImpl::setLocaleDir($g_strLocaleDir);   

org_geoprisma_SettingImpl::setLibUrl($g_strLibUrl);
org_geoprisma_SettingImpl::setTemplateUrl($g_strTemplateUrl);
org_geoprisma_SettingImpl::setWidgetUrl($g_strWidgetUrl );

// --------------------------------------
// SetConfig
// --------------------------------------

org_geoprisma_SettingImpl::setConfig('org_geoprisma_config_PGSQLMapContextConfig');
$szConnection = 'host=localhost dbname=mcconfig user=demo password=demo port=5432';
// on alan's django generated database
//$szConnection = 'host=192.168.4.104 dbname=geoprisma user=postgres password=postgres port=5433';
org_geoprisma_config_PGSQLMapContextConfig::setConnectionString($szConnection);

//org_geoprisma_config_PGSQLMapContextConfig::setCurrentSession(1);

//org_geoprisma_config_PGSQLMapContextConfig::setCurrentSessionName("session_test");
org_geoprisma_config_PGSQLMapContextConfig::setCurrentMapContextName("MC_Default");
org_geoprisma_config_PGSQLMapContextConfig::setCurrentApplicationName("AP_Default");
?>
