
Ext.ns('GeoPrisma.Release');

GeoPrisma.Release.Panel = Ext.extend(Ext.Panel, {
    
    //frame:true,
    width:260,
    autoHeight:true,
    //collapsible:true,
    layout:'fit',
    
    initComponent:function() {
        var store = new Ext.data.JsonStore({
            url: 'php/service/release/list.json.php',
            root: 'releases',
            fields: ['name','zip','7z']
        });
        store.load();

        var tpl = new Ext.XTemplate(
            '<tpl for=".">',
                '<div style="display:block;">',
                    '<span class="release-name" style="display:block;float:left;width:150px">{name}</span>',
                    '<div style="display:block;float:left;width:120px"><a href="../releases/{name}.zip" target="_blank">zip ({zip} MB)</a></div>',
                    '<div style="display:block;float:left;width:120px"><a href="../releases/{name}.7z" target="_blank">7z ({7z} MB)</a></div>',                    
                    '<div style="display:block;float:left;width:20px"><a href="../releases/{name}" target="_blank">try</a></div>',
                '</div><br/>',
            '</tpl>'
        );
        
        this.items = new Ext.DataView({
            store: store,
            tpl: tpl,
            autoHeight:true,     
            itemSelector : 'dl',
            emptyText: 'No release'
        });
 
        GeoPrisma.Release.Panel.superclass.initComponent.call(this);
    } 
});
