<?php

header('Content-type: application/json; charset=UTF-8');  

$strCurrentDir = dirname(__FILE__);

$arrayRelease = array();
foreach (new DirectoryIterator("$strCurrentDir/../../../../releases") as $fileInfo) 
{
    if($fileInfo->isDot())
    {
        continue;        
    }
    if($fileInfo->isDir())
    {
        $arrayRelease[$fileInfo->getFilename()] = array("name" => $fileInfo->getFilename(), "zip" => 0, "7z" => 0);
        continue;        
    }
    
    $path_parts = pathinfo($fileInfo->getFilename());
    $size = number_format($fileInfo->getSize() / 1024 / 1024, 2);
    $arrayRelease[$fileInfo->getBasename('.'.$path_parts['extension'])][$path_parts['extension']] = $size;
}
echo json_encode( array("releases" => array_values($arrayRelease)));

?>