<?php
/* 
   Copyright (c) 2009- Boreal - Information Strategies, published under the BSD license.
   See http://geoprisma.org/license for the full text of the license. 
*/ 
  
class QueryOnClick extends org_geoprisma_widget_WidgetBase
{
    static public function getText($pstrMsg, $pstrType = null)
    {
        return parent::getText($pstrMsg, self::getType(), $pstrType);
    }

    static public function getAction()
    {
        return 'read';
    }    
     
    static public function getType()
    {
        return 'queryonclick';
    }

    static public function getServiceType()
    {
        return 'wms';
    }

    static public function needLayer() 
    {
        return true;
    }

    static public function getMandatoryResourceOptionList()
    {
        return array("queryable");
    }

    static public function getOptionalResourceOptionList()
    {
        return null;
    }

    static public function mustClone()
    {
        return false;
    }
}
  
?>
