<?xml version="1.0" encoding="utf-8"?>
<!-- 
   Copyright (c) 2009- Boreal - Information Strategies, published under the BSD license.
   See http://geoprisma.org/license for the full text of the license.
 --> 

<xsl:stylesheet version="1.0" xmlns:php="http://php.net/xsl"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:dyn="http://exslt.org/dynamic"
    xmlns:scale="http://geoprisma.org/scale"
    extension-element-prefixes="dyn">
  <xsl:namespace-alias stylesheet-prefix="php" result-prefix="xsl" />

  <xsl:template name="scale:printWidgetExecution">
    <xsl:param name="pWidgetName" />
    <xsl:param name="pMapName" />

    <!-- get draw mode  -->
    <xsl:variable name="pDrawMode">
      <xsl:value-of select="$drawmode" />
    </xsl:variable>

    <!-- javascript START -->
    <script type="text/javascript">
	objGPWidget<xsl:value-of select="$pWidgetName" /> = new OpenLayers.Control.Scale();
	oMap.addControl(objGPWidget<xsl:value-of select="$pWidgetName" />);
    </script>
    <!-- javascript END -->
  </xsl:template>

  <xsl:template name="scale:drawWidget">
    <xsl:param name="pWidgetName" />      
  </xsl:template>

  <xsl:template name="scale:getWidgetDepedencies">
  </xsl:template>

</xsl:stylesheet>
