<?php
/* 
   Copyright (c) 2011- Mapgears Inc., published under the BSD license.
   See http://geoprisma.org/license for the full text of the license.
*/

class WFSFilterBuilder extends org_geoprisma_widget_WidgetBase
{

    static public function getText($pstrMsg, $pstrType = null)
    {
        return parent::getText($pstrMsg, self::getType(), $pstrType);
    }

    static public function getAction()
    {
        return 'read';
    }    
     
    static public function getType()
    {
        return 'wfsfilterbuilder';
    }

    static public function getServiceType()
    {
        return 'wfs';
    }

    static public function needLayer() 
    {
        return false;
    }

    static public function getMandatoryResourceOptionList()
    {
        return array("filterable");
    }

    static public function getOptionalResourceOptionList()
    {
        return null;
    }

    static public function mustClone()
    {
        return false;
    }
}
  
?>
