<?php
/**
* Thrown Exception when the PGSQLMapContextConfig is invalid.
* 
* Exception code 402
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Alexandre Dube
* @copyright 2010, Nippour Geomatik
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Thrown Exception when the PGSQLMapContextConfig is invalid.
* 
* Exception code 402
*
* @category   PHP 
* @package    GeoPrisma
* @subpackage Exception
* @author     Alexandre Dube
*/
class org_geoprisma_exception_BadPGSQLMapContextConfigException extends Exception
{
    /**
    * Construct a new instance of 
    * org_geoprisma_exception_BadPGSQLMapContextConfigException
    * 
    * @param string $pstrMessage Error message
    *
    * @return org_geoprisma_exception_BadPGSQLMapContextConfigException
    */
    public function __construct($pstrMessage)
    {
        parent::__construct($pstrMessage, 402);
    }   
}
  
?>
