<?php
/**
* Exception lancé quand un service demander n'existe pas 
* 
* Exception code 406
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Exception lancé quand un service demander n'existe pas
* 
* Exception code 406
*  
* @category   PHP 
* @package    GeoPrisma
* @subpackage Exception
* @author     Pascal Martin
*/
class org_geoprisma_exception_ServiceNotFoundException extends Exception
{
    /**
    * Construit une nouvelle instance de org_geoprisma_exception_ServiceNotFoundException
    * 
    * @param string $pstrService Nom du service rechercher
    * 
    * @return org_geoprisma_exception_ServiceNotFoundException
    */
    public function __construct($pstrService)
    {   
        com_borealis_foundation_util_Assert::assertIsString($pstrService);
             
        parent::__construct("Service Not found : $pstrService", 406);
    }   
}
  
?>