<?php

include_once dirname(__FILE__).'../../../../../../src/client/widgets/scale/scale.php';
    
class ScaleTest extends PHPUnit_Framework_TestCase
{
    public function testGetAction()    
    {
        $this->assertEquals('read', scale::getAction());
    }  
    
    public function testGetType()    
    {
        $this->assertEquals('scale', scale::getType());
    } 
    
    public function testGetText()    
    {
        putenv('LANGUAGE=en_US'); 
        setlocale(LC_ALL, 'en_US');   
        $this->assertEquals('phpunit_test', scale::getText('phpunit_test','scale'));
        $this->assertEquals('phpunit_test', scale::getText('phpunit_test','sdfdsgsg'));
        $this->assertEquals('phpunit_test', scale::getText('phpunit_test')); 
          
        putenv("LANGUAGE=fr_CA");
        setlocale(LC_ALL, 'fr_CA');   
        $this->assertEquals('phpunit_test', scale::getText('phpunit_test','scale'));  
        $this->assertEquals('phpunit_test', scale::getText('phpunit_test','asfasfa'));   
        $this->assertEquals('phpunit_test', scale::getText('phpunit_test'));        
    } 
}
  
?>