<?php

include_once dirname(__FILE__).'../../../../../../src/client/widgets/toolbar/toolbar.php';
    
class ToolbarTest extends PHPUnit_Framework_TestCase
{
    public function testGetAction()    
    {
        $this->assertEquals('read', Toolbar::getAction());
    }  
    
    public function testGetType()    
    {
        $this->assertEquals('toolbar', Toolbar::getType());
    } 
    
    public function testGetText()    
    {
        putenv('LANGUAGE=en_US'); 
        setlocale(LC_ALL, 'en_US');   
        $this->assertEquals('en_US Toolbar', Toolbar::getText('phpunit_test','toolbar'));
        $this->assertEquals('en_US Toolbar', Toolbar::getText('phpunit_test','sdfdsgsg'));
        $this->assertEquals('en_US Toolbar', Toolbar::getText('phpunit_test')); 
          
        putenv("LANGUAGE=fr_CA");
        setlocale(LC_ALL, 'fr_CA');   
        $this->assertEquals('fr_CA Toolbar', Toolbar::getText('phpunit_test','toolbar'));  
        $this->assertEquals('fr_CA Toolbar', Toolbar::getText('phpunit_test','asfasfa'));   
        $this->assertEquals('fr_CA Toolbar', Toolbar::getText('phpunit_test'));    
    } 
}
  
?>