<?php
/**
* Interface pour les diffrentes implmentation de AuthorizationManager
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-security  
* @author    Pascal Martin 
* @copyright Boral Informations Stratgiques Inc.
* @license   http://www.boreal-is.com/license Borealis License
* @link      http://www.boreal-is.com
*/
    
/**
* Interface pour les diffrentes implmentation de AuthorizationManager
* 
* @category   PHP 
* @package    Borealis-security
* @subpackage Manager
* @author     Pascal Martin
*/
interface com_borealis_security_manager_authorization_AuthorizationManager extends com_borealis_foundation_util_Singleton
{
    /**
    * Return list of role for the session
    * 
    * @param com_borealis_security_session_Session $pobjSession target session
    * 
    * @throws com_borealis_security_exception_HostNotFoundException
    * @throws com_borealis_security_exception_ServiceNotFoundException
    * @throws com_borealis_security_exception_BadSessionException
    * 
    * @return ArrayObject of com_borealis_security_user_Role
    */
    public function getRoles(com_borealis_security_session_Session $pobjSession);
}
    
    
?>