@echo off
rem ------------------------------------------------
rem PHP
rem ------------------------------------------------
set PHP_HOME=C:\Program Files\php-5.2.9-Win32
set PHP="%PHP_HOME%\php.exe"
set PHP_EXTENSION_DIR="%PHP_HOME%\ext"
set PHP_EXTENSION_PHP_XDEBUG=php_xdebug-2.0.4-5.2.8.dll

rem ------------------------------------------------
rem directory
rem ------------------------------------------------
set PHP_PROJECT_HOME=M:\projects\php
set HOME=%PHP_PROJECT_HOME%\borealis-authentication
set CORE_SRC_HOME=%HOME%\main\src
set TEST_SRC_HOME=%HOME%\test\src
set DIST_DIR=%HOME%\dist
set COVERAGE_DIR=%DIST_DIR%\coverage

rem ------------------------------------------------
rem Config file
rem ------------------------------------------------
set PHP_UNIT_CONFIG=%HOME%\script\PhpUnit.xml
set PHP_DOCUMENTOR_CONFIG=%HOME%\script\PhpDocumentor.ini

rem ------------------------------------------------
rem Library
rem ------------------------------------------------
set LIB=M:\lib

set JAVA_LIB=%LIB%\java
set JAVA_LIB_PMD=%JAVA_LIB%\pmd-4.2.5

set PHP_LIB=%LIB%\php
set PHP_LIB_PEAR=%PHP_LIB%\PEAR-1.7.2
set PHP_LIB_PHPCODESNIFFER=%PHP_LIB%\PHP_CodeSniffer-1.2.0a1
set PHP_LIB_PHPDOCUMENTOR=%PHP_LIB%\PhpDocumentor-1.4.2

set CPD_CLASS_PATH=%JAVA_LIB_PMD%\lib\pmd-4.2.5.jar;%JAVA_LIB_PMD%\lib\asm-3.1.jar;%JAVA_LIB_PMD%\lib\jaxen-1.1.1.jar

set LIB_BOREALIS_TEST=%PHP_PROJECT_HOME%\borealis-test\main\src
set LIB_BOREALIS_FOUNDATION=%PHP_PROJECT_HOME%\borealis-foundation\main\src
rem ------------------------------------------------
rem PHPUnit include path
rem ------------------------------------------------
set PHP_UNIT_INCLUDE_PATH=%CORE_SRC_HOME%;%TEST_SRC_HOME%;%LIB_BOREALIS_FOUNDATION%

rem ------------------------------------------------
rem Make Directory
rem ------------------------------------------------

IF NOT EXIST %DIST_DIR% mkdir %DIST_DIR%
IF NOT EXIST %COVERAGE_DIR% mkdir %COVERAGE_DIR%



