<html>
    <head>
        <title></title>
        <script language="javascript" src="smarty/templates/js/rolesmatrix.js"></script>  
    </head>
    <body>
        <fieldset>
            <legend>{gettext key=fieldset_edit_permission}</legend>
            <form method="post">
                {gettext key=lbl_role}
                <select name="role">
                    {foreach from=$roles item=objRole}   
                         {if $objRole == $role}
                            <option value="{$objRole->getName()}" selected>{$objRole->getName()}</option>
                        {else}
                            <option value="{$objRole->getName()}">{$objRole->getName()}</option>
                        {/if}                    
                    {/foreach}                    
                </select>
                <br/>
                <br/>
                <input type="submit" value="{gettext key=btn_edit}" />
                <input type="hidden" name="action" value="roleacl" />
            </form>
        </fieldset>
        {if $role != null}
            <fieldset>
                <legend>{gettext key=fieldset_permission role=$role->getName()}</legend>
                <br/>
                <table border="1px">    
                    <tr>
                        <th colspan="2">{gettext key=lbl_legend}</th>
                    </tr> 
                    <tr>
                        <td align="center" style="background:PaleGreen;width:30px">   
                            <input type="checkbox" name="" checked="checked" onclick="return false;" />
                        </td>
                        <td>{gettext key=lbl_legend_authorized}</td>                        
                    </tr>                
                    <tr>
                        <td align="center" style="background:#FFB6C1">
                            <input type="checkbox" name="" onclick="return false;" />
                        </td>
                        <td>{gettext key=lbl_legend_not_authorized}</td>                        
                    </tr>
                    <tr>
                         <td align="center">
                            &nbsp;
                        </td>
                        <td>{gettext key=lbl_legend_no_action}</td>                        
                    </tr>
                    <tr>
                        <td align="center" style="background:orange">
                            <input type="checkbox" name="" checked="checked" onclick="return false;" />
                        </td>
                        <td>{gettext key=lbl_legend_change_to_authorized}</td>                        
                    </tr>
                    <tr>
                        <td align="center" style="background:yellow">
                            <input type="checkbox" name="" onclick="return false;" />
                        </td>
                        <td>{gettext key=lbl_legend_change_to_not_authorized}</td>                        
                    </tr>                
                </table> 
                <br/>
                <form method="post" onreset="initColor(this)" onsubmit="makeResult(this)" id="form_permission">
                    <table border="1px">
                        <tr>
                            <th rowspan="2">{gettext key=lbl_resource}</th>
                            <th colspan="{$actions|@count}">{gettext key=lbl_action}</th>
                        </tr>
                        <tr>
                            {foreach from=$actions item=objAction}
                                <th>{$objAction->getName()}</th>
                            {/foreach}
                        </tr>                    
                        {foreach from=$objArrayRolePermission key=strResource item=objPermission}
                             <tr>
                                <td>{$strResource}</td>
                                {foreach from=$actions item=objAction}
                                    {assign var='strAction' value=$objAction->getName()}      
                                    {if $objPermission.right.$strAction}
                                        <td align="center" style="background:PaleGreen">   
                                            <input type="checkbox"       id="{$objPermission.resource->getID()}_{$objAction->getID()}" value="true" onclick="ckeckChange(this)" checked="checked" />                                        
                                            <input type="hidden"  id="hidden_{$objPermission.resource->getID()}_{$objAction->getID()}" value=""     name="authorized[{$strResource}][{$strAction}]" />
                                        </td>
                                    {else}
                                        {if $objPermission.enabled.$strAction }
                                            <td align="center" style="background:#FFB6C1" resource="{$strResource}" action="{$strAction}">
                                                <input type="checkbox"       id="{$objPermission.resource->getID()}_{$objAction->getID()}" value="false" onclick="ckeckChange(this)" />
                                                <input type="hidden"  id="hidden_{$objPermission.resource->getID()}_{$objAction->getID()}" value=""      name="authorized[{$strResource}][{$strAction}]"  />
                                            </td>
                                        {else}
                                            <td align="center">                                                                       
                                                &nbsp;
                                            </td>
                                        {/if}
                                    {/if} 
                                                                     
                                {/foreach}                        
                             </tr>                         
                        {/foreach}
                    </table>                    
                    <input type="reset" value="{gettext key=btn_reset}" />
                    <input type="submit" value="{gettext key=btn_save}" />
                    <input type="hidden" name="action" value="saveacl" />
                    <input type="hidden" name="role" value="{$role->getName()}" />  
                    <a href="javascript:selectAll(true)">{gettext key=a_select_all}</a>
                    <a href="javascript:selectAll(false)">{gettext key=a_unselect_all}</a>                    
                </form>      
            </fieldset>
        {/if}
    </body>
</html>