<?php
  
// --------------------------------------
// Set include path
// --------------------------------------
set_include_path(".".PATH_SEPARATOR.'../../../../lib/php-borealis-foundation-0.1.0.19-lite'.
                     PATH_SEPARATOR.'../../../../script');

// --------------------------------------
// Require class
// --------------------------------------
require_once 'com/borealis/Autoload.php';  
  
$strCurrentDir = dirname(__FILE__);  

 
$_SERVER['argv'] = array(
                        'phpdoc',
                        '-c',
                        com_borealis_foundation_util_Path::getAbsolute("$strCurrentDir/PhpDocumentor.ini"));

$strTarget = com_borealis_foundation_util_Path::getAbsolute("$strCurrentDir/../../../../dist/doc");
$strDirectory = com_borealis_foundation_util_Path::getAbsolute("$strCurrentDir/../../../../src/server/core");                       
$strConfig = "[Parse Data]
title = GeoPrisma Documentation 
hidden = false
parseprivate = off
javadocdesc = off
defaultcategoryname = PHP
defaultpackagename = GeoPrisma
pear = on
target = $strTarget
directory = $strDirectory
output=HTML:frames:geoprisma
sourcecode = on";
file_put_contents('PhpDocumentor.ini', $strConfig);  
  
$test = @include "../../../../lib/PhpDocumentor-1.4.2/phpDocumentor/find_phpdoc.php";
if ($test == 6) { 
    // find_phpdoc.php returns 6
    include '../../../../lib/PhpDocumentor-1.4.2/phpDocumentor/phpdoc.inc';
} else {
    echo "Error: phpDocumentor not found" . PHP_EOL;
}
    
?>