<?php                                    
header('Content-type: application/json; charset=UTF-8');  


// --------------------------------------
// Set include path
// --------------------------------------
set_include_path(".".PATH_SEPARATOR.'../../../../lib/php-borealis-foundation-0.1.0.19-lite');
                     
// --------------------------------------
// Require class
// --------------------------------------
require_once 'com/borealis/Autoload.php';  
  
$strCurrentDir = dirname(__FILE__);  

$strTarget = com_borealis_foundation_util_Path::getAbsolute("$strCurrentDir/../../../../dist"); 



$g_objState = array( 'id' => 0,
                          'error'   => '?',
                          'warning' => '?',
                          'status'  => 'unknown',
                          'message' => 'Lauch Code Sniffer test in Developper tools section' );

if (file_exists("$strTarget/sniffer_result.xml"))
{
    $objSimpleXMLElement = simplexml_load_file("$strTarget/sniffer_result.xml");

    $iWarningsNumber = count($objSimpleXMLElement->xpath('//error[@severity = "warning"]'));    
    $iErrorNumber = count($objSimpleXMLElement->xpath('//error[@severity = "error"]'));

    $g_objState['error'] = $iErrorNumber;
    $g_objState['warning'] = $iWarningsNumber;
   
    if ($iErrorNumber > 0)
    {
        $g_objState['status'] = 'alert';
        $g_objState['message'] = 'Solve error';  
    }
    else
    {
        $g_objState['status'] = 'clean';        
        $g_objState['message'] = 'Great code standard is applied';        
    }
}                          

echo json_encode( array("states" => array( $g_objState)));

?>