<?php
/**
* Exception lancé quand un resource demander n'existe pas 
* 
* Exception code 405
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Exception lancé quand un resource demander n'existe pas
* 
* Exception code 405
*  
* @category   PHP 
* @package    GeoPrisma
* @subpackage Exception
* @author     Pascal Martin
*/
class org_geoprisma_exception_ResourceNotFoundException extends Exception
{
    /**
    * Construit une nouvelle instance de org_geoprisma_exception_ResourceNotFoundException
    * 
    * @param string $pstrResource Nom du resource rechercher
    * 
    * @return org_geoprisma_exception_ResourceNotFoundException
    */
    public function __construct($pstrResource)
    {   
        com_borealis_foundation_util_Assert::assertIsString($pstrResource);
             
        parent::__construct("Resource Not found : $pstrResource", 405);
    }   
}
  
?>