<?php

include_once dirname(__FILE__).'../../../../../../src/client/widgets/mouseposition/mouseposition.php';
    
class MousePositionTest extends PHPUnit_Framework_TestCase
{
    public function testGetAction()    
    {
        $this->assertEquals('read', mouseposition::getAction());
    }  
    
    public function testGetType()    
    {
        $this->assertEquals('mouseposition', mouseposition::getType());
    } 
    
    public function testGetText()    
    {
        putenv('LANGUAGE=en_US'); 
        setlocale(LC_ALL, 'en_US');   
        $this->assertEquals('phpunit_test', mouseposition::getText('phpunit_test','mouseposition'));
        $this->assertEquals('phpunit_test', mouseposition::getText('phpunit_test','sdfdsgsg'));
        $this->assertEquals('phpunit_test', mouseposition::getText('phpunit_test')); 
          
        putenv("LANGUAGE=fr_CA");
        setlocale(LC_ALL, 'fr_CA');   
        $this->assertEquals('phpunit_test', mouseposition::getText('phpunit_test','mouseposition'));  
        $this->assertEquals('phpunit_test', mouseposition::getText('phpunit_test','asfasfa'));   
        $this->assertEquals('phpunit_test', mouseposition::getText('phpunit_test'));        
    } 
}
  
?>